Loading...
Searching...
No Matches
Mir Class Reference

Acting mostly as a namespace to hold enums and such for use in QML. More...

`#include <unity/shell/application/Mir.h>`

Inheritance diagram for Mir:
[legend]
Collaboration diagram for Mir:
[legend]

## Public Types

enum | Type { UnknownType , NormalType , UtilityType , DialogType , GlossType , FreeStyleType , MenuType , InputMethodType , SatelliteType , TipType }
| Surface type.
enum | State { UnknownState , RestoredState , MinimizedState , MaximizedState , FullscreenState , MaximizedLeftState , MaximizedRightState , HorizMaximizedState , VertMaximizedState , MaximizedTopLeftState , MaximizedTopRightState , MaximizedBottomLeftState , MaximizedBottomRightState , HiddenState }
| Surface state.
enum | OrientationAngle { Angle0 = 0 , Angle90 = 90 , Angle180 = 180 , Angle270 = 270 }
| Surface orientation angle.
enum | ShellChrome { NormalChrome , LowChrome }
| Shell chrome.
enum | FormFactor { FormFactorUnknown , FormFactorPhone , FormFactorTablet , FormFactorMonitor , FormFactorTV , FormFactorProjector }
| Form Factor.

## Properties

QString | cursorName
| Name of the mouse cursor to be used. Follows the X Cursor naming convention.
QString | currentKeymap

## Detailed Description

Acting mostly as a namespace to hold enums and such for use in QML.

## Property Documentation

## currentKeymap

QString Mir::currentKeymap

read write

Current (global) keymap, to be applied on the keyboard device

E.g.: "cz+qwerty" -> "cz" layout, "qwerty" variant

## cursorName

QString Mir::cursorName

read write

Name of the mouse cursor to be used. Follows the X Cursor naming convention.

Eg.: "left_ptr" is a left-sided pointer arrow

The documentation for this class was generated from the following file:

- include/unity/shell/application/Mir.h